class CartModel {}

ServerCartCount cartCountFromJson(dynamic str) =>
    (ServerCartCount.fromJson(str));

class ServerCartCount {
  late final int serverCartCount;

  ServerCartCount({required this.serverCartCount});

  ServerCartCount.fromJson(int count) {
    serverCartCount = count;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['serverCartCount'] = this.serverCartCount;
    return data;
  }
}

List<Cart> cartListFromJson(dynamic str) =>
    List<Cart>.from(str.map((x) => Cart.fromJson(x)));

Cart cartFromJson(dynamic str) => (Cart.fromJson(str));

class Cart {
  late final String sId;
  late final String packName;
  late final String packId;
  late final String? packImage;
  late final String? packSku;
  late final String? setId;
  late final int? quantity;
  late final int? piece;
  late final int? setPrice;
  late final int? price;
  late final String? variant;
  late final double? igst;
  late final double? cgst;
  late final double? sgst;
  late final String? variantValue;
  late final bool? isOutofstock;
  late final int? maximumQuantity;
  late final String sTypename;

  Cart(
      {required this.sId,
      required this.packName,
      required this.packId,
      required this.packImage,
      required this.packSku,
      required this.setId,
      required this.quantity,
      required this.piece,
      required this.setPrice,
      required this.price,
      required this.variant,
      required this.igst,
      required this.cgst,
      required this.sgst,
      required this.variantValue,
      required this.isOutofstock,
      required this.maximumQuantity,
      required this.sTypename});

  Cart.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    packName = json['packName'];
    packId = json['packId'];
    packImage = json['packImage'];
    packSku = json['packSku'];
    setId = json['setId'];
    quantity = json['quantity'];
    piece = json['piece'];
    setPrice = json['setPrice'];
    price = json['price'];
    variant = json['variant'];
    igst = json['igst'];
    cgst = json['cgst'];
    sgst = json['sgst'];
    variantValue = json['variantValue'];
    isOutofstock = json['isOutofstock'];
    maximumQuantity = json['maximumQuantity'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['packName'] = this.packName;
    data['packId'] = this.packId;
    data['packImage'] = this.packImage;
    data['packSku'] = this.packSku;
    data['setId'] = this.setId;
    data['quantity'] = this.quantity;
    data['piece'] = this.piece;
    data['setPrice'] = this.setPrice;
    data['price'] = this.price;
    data['variant'] = this.variant;
    data['igst'] = this.igst;
    data['cgst'] = this.cgst;
    data['sgst'] = this.sgst;
    data['variantValue'] = this.variantValue;
    data['isOutofstock'] = this.isOutofstock;
    data['maximumQuantity'] = this.maximumQuantity;
    data['__typename'] = this.sTypename;
    return data;
  }
}

RemoveCart removeCartFromJson(dynamic str) => (RemoveCart.fromJson(str));

class RemoveCart {
  late final int removeCart;

  RemoveCart({required this.removeCart});

  RemoveCart.fromJson(Map<String, dynamic> json) {
    removeCart = json['removeCart'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['removeCart'] = this.removeCart;
    return data;
  }
}

class UpdateCartRequest {
  late final String id;
  late final CartRequest cart;

  UpdateCartRequest({required this.id, required this.cart});
}

class CartRequest {
  late final int quantity;

  CartRequest({
    required this.quantity,
  });

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['quantity'] = this.quantity;
    return data;
  }
}

class AddCartRequest {
  late final String packId;
  late final int quantity;
  late final String setId;
  late final String userId;

  AddCartRequest(
      {required this.packId,
      required this.quantity,
      required this.setId,
      required this.userId});

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['packId'] = this.packId;
    data['quantity'] = this.quantity;
    data['setId'] = this.setId;
    data['userId'] = this.userId;
    return data;
  }
}

AddCart addCartFromJson(dynamic str) => (AddCart.fromJson(str));

class AddCart {
  late final int addCart;

  AddCart({required this.addCart});

  AddCart.fromJson(Map<String, dynamic> json) {
    addCart = json['addCart'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['addCart'] = this.addCart;
    return data;
  }
}

DelhiveryShippingFees delhiveryShippingFeesFromJson(dynamic str) =>
    (DelhiveryShippingFees.fromJson(str));

class DelhiveryShippingFees {
  late final double fees;
  late final double shippingIGST;
  late final double shippingSGST;
  late final double shippingCGST;
  late final String sTypename;

  DelhiveryShippingFees(
      {required this.fees,
      required this.shippingIGST,
      required this.shippingSGST,
      required this.shippingCGST,
      required this.sTypename});

  DelhiveryShippingFees.fromJson(Map<String, dynamic> json) {
    fees = json['fees'] == 0 ? json['fees'].toDouble() : json['fees'];
    shippingIGST = json['shippingIGST'] == 0
        ? json['shippingIGST'].toDouble()
        : json['shippingIGST'];
    shippingSGST = json['shippingSGST'] == 0
        ? json['shippingSGST'].toDouble()
        : json['shippingSGST'];
    shippingCGST = json['shippingCGST'] == 0
        ? json['shippingCGST'].toDouble()
        : json['shippingCGST'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['fees'] = this.fees;
    data['shippingIGST'] = this.shippingIGST;
    data['shippingSGST'] = this.shippingSGST;
    data['shippingCGST'] = this.shippingCGST;
    data['__typename'] = this.sTypename;
    return data;
  }
}

CheckCODForCheckout checkCODForCheckoutFromJson(dynamic str) =>
    (CheckCODForCheckout.fromJson(str));

class CheckCODForCheckout {
  late final bool? cod;
  late final int? charges;
  late final String sTypename;

  CheckCODForCheckout(
      {required this.cod, required this.charges, required this.sTypename});

  CheckCODForCheckout.fromJson(Map<String, dynamic> json) {
    cod = json['cod'];
    charges = json['charges'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['cod'] = this.cod;
    data['charges'] = this.charges;
    data['__typename'] = this.sTypename;
    return data;
  }
}

List<EnabledcheckoutOptions> enabledcheckoutOptionsFromJson(dynamic str) =>
    List<EnabledcheckoutOptions>.from(
        str.map((x) => EnabledcheckoutOptions.fromJson(x)));

class EnabledcheckoutOptions {
  late final String sId;
  late final String? gatewayName;
  late final String? type;
  late final String? code;
  late final String? description;
  late final bool? enable;
  late final List<Bank>? bank;
  late final String sTypename;

  EnabledcheckoutOptions(
      {required this.sId,
      required this.gatewayName,
      required this.type,
      required this.code,
      required this.description,
      required this.enable,
      required this.bank,
      required this.sTypename});

  EnabledcheckoutOptions.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    gatewayName = json['gatewayName'];
    type = json['type'];
    code = json['code'];
    description = json['description'];
    enable = json['enable'];
    if (json['list'] != null) {
      bank = [];
      json['list'].forEach((v) {
        bank!.add(new Bank.fromJson(v));
      });
    }
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['gatewayName'] = this.gatewayName;
    data['type'] = this.type;
    data['code'] = this.code;
    data['description'] = this.description;
    data['enable'] = this.enable;
    if (this.bank != null) {
      data['list'] = this.bank!.map((v) => v.toJson()).toList();
    }
    data['__typename'] = this.sTypename;
    return data;
  }
}

class Bank {
  late final String sId;
  late final String? name;
  late final String? code;
  late final String? logo;
  late final bool? isPreview;
  late final String sTypename;

  Bank(
      {required this.sId,
      required this.name,
      required this.code,
      required this.logo,
      required this.isPreview,
      required this.sTypename});

  Bank.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    name = json['name'];
    code = json['code'];
    logo = json['logo'];
    isPreview = json['isPreview'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['name'] = this.name;
    data['code'] = this.code;
    data['logo'] = this.logo;
    data['isPreview'] = this.isPreview;
    data['__typename'] = this.sTypename;
    return data;
  }
}

DelhiveryServiceability delhiveryServiceabilityFromJson(dynamic str) =>
    (DelhiveryServiceability.fromJson(str));

class DelhiveryServiceability {
  late final bool? prePaid;
  late final bool? cash;
  late final bool? pickup;
  late final bool? cod;
  late final String? estimate;
  late final String sTypename;

  DelhiveryServiceability(
      {required this.prePaid,
      required this.cash,
      required this.pickup,
      required this.cod,
      required this.estimate,
      required this.sTypename});

  DelhiveryServiceability.fromJson(Map<String, dynamic> json) {
    prePaid = json['pre_paid'];
    cash = json['cash'];
    pickup = json['pickup'];
    cod = json['cod'];
    estimate = json['estimate'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['pre_paid'] = this.prePaid;
    data['cash'] = this.cash;
    data['pickup'] = this.pickup;
    data['cod'] = this.cod;
    data['estimate'] = this.estimate;
    data['__typename'] = this.sTypename;
    return data;
  }
}
