import 'package:graphql_flutter/graphql_flutter.dart';

import '../../GraphQLConfiguration.dart';

import 'menu_category_model.dart';

class MenuCategoryRepo {
  var graphQLConfiguration;
  List<MenuCategoryModel> mainMenuList = [];

  MenuCategoryRepo() {
    graphQLConfiguration = GraphQLConfiguration();
  }

  Future<List<MenuCategoryModel>> getMenuCategories() async {
    var menu;
    GraphQLClient _client = graphQLConfiguration.clientToQuery();

    var menuCategoryGql = """ 
                  query retrieveMenuForUI {
                  retrieveMenuForUI {
                    _id
                    type
                    status
                    title
                    sortOrder
                    link
                    categoryDetails {
                      _id
                      categoryName
                      categoryId
                      status
                      brandEnable
                      attributeEnalbe
                      tagEnable
                      link
                      children {
                        _id
                        categoryName
                        categoryId
                        status
                        children {
                          _id
                          link
                          categoryName
                          categoryId
                          status
                          children {
                            _id
                            link
                            categoryName
                            categoryId
                            status
                            __typename
                          }
                          __typename
                        }
                        __typename
                      }
                      __typename
                    }
                    brandDetails {
                      brandName
                      brandId
                      __typename
                    }
                    __typename
                  }
                }
            """;

    QueryResult result = await _client.query(QueryOptions(
      document: gql(menuCategoryGql),

      ///variables: vble,
      fetchPolicy: FetchPolicy.networkOnly,
    ));

    if (!result.hasException) {
      var mainMenu = result.data!['retrieveMenuForUI'];

      if (mainMenu != null && mainMenu.length > 0) {
        mainMenuList = menuCategoryListFromJson(mainMenu);
      }
      return mainMenuList;
    }
    return mainMenuList;
  }
}
