import 'package:b2b_graphql_package/modules/payment/payment_model.dart';
import 'package:graphql_flutter/graphql_flutter.dart';

import '../../GraphQLConfiguration.dart';

class PaymentRepo {
  var graphQLConfiguration;

  var razorPayOrderDetails;

  PaymentRepo() {
    graphQLConfiguration = GraphQLConfiguration();
  }

  Future createRazorPayOrder(
      String orderId, String gatewayName, double total) async {
    GraphQLClient _client = graphQLConfiguration.clientToQuery();

    var createRazorPayOrderGql = """ 
             mutation createRazorPayOrder(
                \$orderId: String
                \$total: Float
                \$gatewayName: String
              ) {
                createRazorPayOrder(
                  orderId: \$orderId
                  total: \$total
                  gatewayName: \$gatewayName
                ) {
                  _id
                  razorpayOrderId
                  key
                  __typename
                }
              }

            """;

    final vble = {
      "orderId": orderId,
      "gatewayName": gatewayName,
      "total": total
    };
    QueryResult result = await _client.query(QueryOptions(
      document: gql(createRazorPayOrderGql),
      variables: vble,
      fetchPolicy: FetchPolicy.networkOnly,
    ));

    if (!result.hasException) {
      var razorPayOrder = result.data!['createRazorPayOrder'];

      if (razorPayOrder != null && razorPayOrder["razorpayOrderId"] != null) {
        razorPayOrderDetails = createRazorPayOrderFromJson(razorPayOrder);
        return razorPayOrderDetails;
      }
    }
    return razorPayOrderDetails;
  }
}
