List<AllWishlistForVerfication> allWishListVerificationFromJson(dynamic str) =>
    List<AllWishlistForVerfication>.from(
        str.map((x) => AllWishlistForVerfication.fromJson(x)));

class AllWishlistForVerfication {
  late final String packId;
  late final String sTypename;

  AllWishlistForVerfication({required this.packId, required this.sTypename});

  AllWishlistForVerfication.fromJson(Map<String, dynamic> json) {
    packId = json['packId'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['packId'] = this.packId;
    data['__typename'] = this.sTypename;
    return data;
  }
}

List<AllWishlist> allWishListFromJson(dynamic str) =>
    List<AllWishlist>.from(str.map((x) => AllWishlist.fromJson(x)));

class AllWishlist {
  late final String sId;
  late final String? packId;
  late final String? setId;
  late final String? packImage;
  late final String? packName;
  late final int? setPrice;
  late final String? sTypename;

  AllWishlist(
      {required this.sId,
      required this.packId,
      required this.setId,
      required this.packImage,
      required this.packName,
      required this.setPrice,
      required this.sTypename});

  AllWishlist.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    packId = json['packId'];
    setId = json['setId'];
    packImage = json['packImage'];
    packName = json['packName'];
    setPrice = json['setPrice'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['packId'] = this.packId;
    data['setId'] = this.setId;
    data['packImage'] = this.packImage;
    data['packName'] = this.packName;
    data['setPrice'] = this.setPrice;
    data['__typename'] = this.sTypename;
    return data;
  }
}

AddWishlistByCart wishlistByCartFromJson(dynamic str) =>
    (AddWishlistByCart.fromJson(str));

class AddWishlistByCart {
  late final bool isExists;
  late final String sTypename;

  AddWishlistByCart({required this.isExists, required this.sTypename});

  AddWishlistByCart.fromJson(Map<String, dynamic> json) {
    isExists = json['isExists'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['isExists'] = this.isExists;
    data['__typename'] = this.sTypename;
    return data;
  }
}
